com.holonplatform.json.datetime

## Class CurrentSerializationTemporalType

- java.lang.Object
- - com.holonplatform.json.datetime.CurrentSerializationTemporalType

-     public final class CurrentSerializationTemporalType
      extends Object

  Utility class to set the current `TemporalType` which has to be used for `java.util.Date` values JSON serialization using a `ThreadLocal`.
  Since:
    5.1.0

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static com.holonplatform.core.temporal.TemporalType` | `getCurrentTemporalType()` Gets the current `TemporalType` to use for `java.util.Date` values JSON serialization.
    `static void` | `removeCurrentTemporalType()` Removes the current `TemporalType` to use for `java.util.Date` values JSON serialization.
    `static void` | `setCurrentTemporalType(com.holonplatform.core.temporal.TemporalType temporalType)` Sets the current `TemporalType` to use for `java.util.Date` values JSON serialization.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getCurrentTemporalType

          public static com.holonplatform.core.temporal.TemporalType getCurrentTemporalType()

      Gets the current `TemporalType` to use for `java.util.Date` values JSON serialization.
      Returns:
        The current `TemporalType`

    - #### setCurrentTemporalType

          public static void setCurrentTemporalType(com.holonplatform.core.temporal.TemporalType temporalType)

      Sets the current `TemporalType` to use for `java.util.Date` values JSON serialization.
      Parameters:
        `temporalType` - The `TemporalType` to set

    - #### removeCurrentTemporalType

          public static void removeCurrentTemporalType()

      Removes the current `TemporalType` to use for `java.util.Date` values JSON serialization.

Copyright © 2019 The Holon Platform. All rights reserved.